## chaos 1.13.1-6

=== Makefile ===
# Generated automatically from Makefile.in by configure.
prefix = /usr
datadir = ${prefix}/share
lispdir = $(prefix)/share/emacs/site-lisp
srcdir = .


EMACS = /usr/bin/emacs
XEMACS = xemacs

all: lick info

lick:
	cd lisp && $(MAKE) EMACS=$(EMACS) lispdir=$(lispdir) all

install:
	cd lisp && $(MAKE) EMACS=$(EMACS) lispdir=$(lispdir) install
	cd texi && $(MAKE) EMACS=$(EMACS) install

# Rule for Lars and nobody else.
some:
	cd lisp && $(MAKE) EMACS=$(EMACS) some
l:
	cd lisp && $(MAKE) EMACS=$(EMACS) clever

info:
	cd texi && $(MAKE) EMACS=$(EMACS) all

info-ja:
	cd texi && $(MAKE) EMACS=$(EMACS) MAKEINFO=no ja

clean:
	rm -f */*.orig */*.rej *.orig *.rej

xsome:
	cd lisp && $(MAKE) EMACS=$(XEMACS) some

elclean:
	rm lisp/*.elc

x:
	make EMACS=xemacs

distclean:
	make clean
	rm -rf *~
	for i in lisp texi; do (cd $$i; make distclean); done
	rm -f config.log config.status Makefile

osome:
	make EMACS=emacs-19.34 some

config.status: $(srcdir)/configure
	$(SHELL) ./config.status --recheck
$(srcdir)/configure: $(srcdir)/configure.in
	cd $(srcdir) && autoconf
Makefile: $(srcdir)/Makefile.in config.status
	CONFIG_FILES=$@ CONFIG_HEADERS= $(SHELL) ./config.status

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== lisp/Makefile ===
# Generated automatically from Makefile.in by configure.
datadir = ${prefix}/share
lispdir = $(prefix)/share/emacs/site-lisp
prefix = /usr
srcdir = .
subdir = lisp
top_srcdir = ..

EMACS = /usr/bin/emacs
FLAGS = -batch -q -no-site-file -l ./dgnushack.el
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
SHELL = /bin/sh

total:
	rm -f *.elc ; $(EMACS) $(FLAGS) -f dgnushack-compile

all:
	rm -f *.elc ; $(EMACS) $(FLAGS) -f dgnushack-compile

warn:
	rm -f *.elc ; $(EMACS) $(FLAGS) --eval '(dgnushack-compile t)' 2>&1 | egrep -v "variable G|inhibit-point-motion-hooks|coding-system|temp-results|variable gnus|variable nn|scroll-in-place|deactivate-mark|filladapt-mode|byte-code-function-p|print-quoted|ps-right-header|ps-left-header|article-inhibit|print-escape|ssl-program-arguments|message-log-max"

clever:
	$(EMACS) $(FLAGS) -f dgnushack-compile

some:
	$(EMACS) $(FLAGS) -f dgnushack-compile

install: clever
	$(SHELL) $(top_srcdir)/mkinstalldirs $(lispdir)
	for p in *.elc; do \
	  echo " $(INSTALL_DATA) $$p $(lispdir)/$$p"; \
	  $(INSTALL_DATA) $$p $(lispdir)/$$p; \
	done

tags:
	etags *.el

separately:
	rm -f *.elc ; for i in *.el; do $(EMACS) $(FLAGS) -f batch-byte-compile $$i; done

pot:
	xpot -drgnus -r`cat ./version` *.el > rgnus.pot

gnus-load.el:
	echo ";;; gnus-load.el --- automatically extracted custom dependencies" > gnus-load.el
	echo ";;" >> gnus-load.el
	echo ";;; Code:" >> gnus-load.el
	echo >> gnus-load.el
	$(EMACS)  $(FLAGS) -l ./dgnushack.el -l cus-edit.el *.el \
		-f custom-make-dependencies >> gnus-load.el
	echo >> gnus-load.el
	echo "(provide 'gnus-load)" >> gnus-load.el
	echo >> gnus-load.el
	echo ";;; gnus-load.el ends here" >> gnus-load.el

distclean:
	rm -f *.orig *.rej *.elc *~ Makefile

Makefile: $(srcdir)/Makefile.in ../config.status
	cd .. \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== texi/Makefile ===
# Generated automatically from Makefile.in by configure.
infodir = ${prefix}/info
prefix = /usr
srcdir = .
subdir = texi
top_srcdir = ..

TEXI2DVI=texi2dvi
EMACS=emacs
MAKEINFO=/usr/bin/makeinfo
EMACSINFO=$(EMACS) -batch -q -no-site-file
INFOSWI=-l texinfmt -f texinfo-every-node-update -f texinfo-format-buffer -f save-buffer
XINFOSWI=-l texinfmt -f texinfo-every-node-update -f texinfo-format-buffer -f save-buffer
LATEX=latex
DVIPS=dvips
PERL=perl
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
SHELL = /bin/sh
PAPERTYPE=a4

all: gnus message

ja: gnus-ja message-ja

most: texi2latex.elc latex latexps

.SUFFIXES: .texi .dvi .ps

.texi:
	if test $(MAKEINFO) = no; then \
	  $(EMACSINFO) -eval '(find-file "$<")' $(XINFOSWI); \
	else \
	  makeinfo -o $* $<; \
	fi

dvi: gnus.dvi message.dvi refcard.dvi

.texi.dvi :
	$(PERL) -n -e 'print unless (/\@iflatex/ .. /\@end iflatex/)' $< > gnustmp.texi
	$(TEXI2DVI) gnustmp.texi
	cp gnustmp.dvi $*.dvi
	rm gnustmp.*

refcard.dvi: refcard.tex gnuslogo.refcard gnusref.tex
	$(LATEX) refcard.tex

clean:
	rm -f gnus.*.bak *.ky *.cp *.fn *.cps *.kys *.log *.aux *.dvi *.vr \
	*.tp *.toc *.pg gnus.latexi *.aux *.[cgk]idx \
	gnus.ilg gnus.ind gnus.[cgk]ind gnus.idx \
	gnus.tmptexi *.tmplatexi gnus.tmplatexi1 texput.log *.orig *.rej \
	gnus.latexi*~* tmp/*.ps xface.tex picons.tex smiley.tex *.latexi

makeinfo:
	makeinfo -o gnus gnus.texi
	makeinfo -o message message.texi

texi2latex.elc: texi2latex.el
	$(EMACS) -batch -l bytecomp --eval '(byte-compile-file "texi2latex.el")'

latex: gnus.texi texi2latex.elc
	$(EMACS) -batch -q -no-site-file gnus.texi -l ./texi2latex.elc -f latexi-translate

latexps:
	make texi2latex.elc
	rm -f gnus.aux
	egrep -v "label.*Index|chapter.*Index" gnus.latexi > gnus.tmplatexi1
	$(LATEX) gnus.tmplatexi1
	./splitindex
	makeindex -o gnus.kind gnus.kidx
	makeindex -o gnus.cind gnus.cidx
	makeindex -o gnus.gind gnus.gidx
	sed 's/\\char 5E\\relax {}/\\symbol{"5E}/' < gnus.kind > gnus.tmpkind
	mv gnus.tmpkind gnus.kind
	egrep -v "end{document}" gnus.tmplatexi1 > gnus.tmplatexi
	cat postamble.tex >> gnus.tmplatexi
	$(LATEX) gnus.tmplatexi
	$(LATEX) gnus.tmplatexi
	$(DVIPS) -t $(PAPERTYPE) -f gnus.dvi > gnus.ps

pss:
	make latex
	make latexps

psout:
	make latex
	make latexboth
	make out

latexboth:
	rm -f gnus-manual-a4.ps.gz gnus-manual-standard.ps.gz
	make latexps
	mv gnus.ps gnus-manual-a4.ps
	gzip gnus-manual-a4.ps
	sed 's/,a4paper/,letterpaper/' gnus.latexi > gnus-standard.latexi
	mv gnus-standard.latexi gnus.latexi
	make latexps PAPERTYPE=letter
	mv gnus.ps gnus-manual-standard.ps
	gzip gnus-manual-standard.ps

out:
	cp gnus-manual-standard.ps.gz \
	gnus-manual-a4.ps.gz \
	/local/ftp/pub/emacs/gnus/manual
	mv gnus-manual-standard.ps.gz \
	gnus-manual-a4.ps.gz \
	/hom/larsi/www_docs/www.gnus.org/documents

veryclean:
	make clean
	rm -f gnus.dvi gnus.ps texi2latex.elc

distclean:
	make clean
	rm -f *.orig *.rej *.elc *~ gnus gnus-[0-9] gnus-[0-9][0-9] Makefile
	rm -f message message-[0-9]

install:
	$(SHELL) $(top_srcdir)/mkinstalldirs $(infodir)
	@for file in gnus message gnus-ja message-ja; do \
	  for ifile in `echo $$file $$file-[0-9] $$file-[0-9][0-9]`; do \
	    if test -f $$ifile; then \
	      echo " $(INSTALL_DATA) $$ifile $(infodir)/$$ifile"; \
	      $(INSTALL_DATA) $$ifile $(infodir)/$$ifile; \
	    else : ; fi; \
	  done; \
	done

tmps:
	if [ ! -e tmp ]; then mkdir tmp; fi
	make screens
	make herdss
	make etcs
	make piconss
	make xfaces
	make smiley
	make miscs

herdss:
	cd herds ; for i in new-herd-[0-9]*.gif; do echo $$i; giftopnm $$i | pnmcrop -white | pnmmargin -white 9 | pnmscale 2 | pnmconvol convol5.pnm  | ppmtopgm | pnmdepth 255 | pnmtops -width 100 -height 100 -noturn > ../tmp/`basename $$i .gif`.ps; done
	cd herds ; giftopnm new-herd-section.gif | pnmscale 4 | pnmconvol convol11.pnm | ppmtopgm | pnmdepth 255 | pnmtops -noturn -width 100 -height 100 > ../tmp/new-herd-section.ps


screens:
	cd screen ; for i in *.gif; do echo $$i; giftopnm $$i | pnmmargin -black 1 | ppmtopgm | pnmtops -width 100 -height 100 -noturn > ../tmp/`basename $$i .gif`.ps; done

miscs:
	giftopnm misc/larsi.gif | ppmtopgm | pnmtops -noturn > tmp/larsi.ps
	tifftopnm misc/eseptember.tif | pnmscale 4 | ppmtopgm | pnmtops -noturn  -width 100 -height 100 > tmp/september.ps
	tifftopnm misc/fseptember.tif | pnmscale 2 | ppmtopgm | pnmtops -noturn  -width 100 -height 100 > tmp/fseptember.ps
	tifftopnm misc/fred.tif | pnmscale 2 | ppmtopgm | pnmtops -noturn  -width 100 -height 100 > tmp/fred.ps
	tifftopnm misc/ered.tif | pnmscale 2 | ppmtopgm | pnmtops -noturn  -width 100 -height 100 > tmp/red.ps

etcs:
	cd etc; for i in gnus-*.xpm; do echo $$i; xpmtoppm $$i | ppmtopgm | pnmdepth 255 | pnmtops -noturn > ../tmp/`basename $$i .xpm`.ps; done

piconss:
	cd picons; for i in *.xbm; do echo $$i; xbmtopbm $$i | pnmtops -noturn > ../tmp/picons-`basename $$i .xbm`.ps; done
	cd picons; for i in *.gif; do echo $$i; giftopnm $$i | ppmtopgm | pnmtops -noturn > ../tmp/picons-`basename $$i .gif`.ps; done
	for i in tmp/picons-*.ps; do echo "\\gnuspicon{$$i}"; done > picons.tex

xfaces:
	cd xface; for i in *.gif; do echo $$i; giftopnm $$i | ppmtopgm | pnmtops -noturn > ../tmp/xface-`basename $$i .gif`.ps; done
	for i in tmp/xface-*.ps; do \
		if [ -n "$$a" ]; then a=""; echo "{$$i}"; else \
		a="h"; echo -n "\\gnusxface{$$i}"; fi done > xface.tex; \
		if [ -n "$$a" ]; then echo "{$$i}" >> xface.tex; fi

smiley:
	cd smilies; tifftopnm BigFace.tif | ppmtopgm | pnmtops > ../tmp/BigFace.ps
	cd smilies; for i in *.xpm; do echo $$i; sed "s/none/#FFFFFF/" $$i | xpmtoppm | ppmtopgm | pnmdepth 255 | pnmtops > ../tmp/smiley-`basename $$i .xpm`.ps; done
	for i in tmp/smiley-*.ps; do \
		if [ -n "$$a" ]; then a=""; echo "{$$i}"; else \
		a="h"; echo -n "\\gnussmiley{$$i}"; fi done > smiley.tex; \
		if [ -n "$$a" ]; then echo "{$$i}" >> smiley.tex; fi

pspackage:
	tar czvf pspackage.tar.gz gnus-faq.texi gnus.texi herds misc pagestyle.sty picons pixidx.sty postamble.tex ps screen smilies splitindex texi2latex.el xface Makefile README etc

complete:
	make texi2latex.elc
	make tmps
	make pss

Makefile: $(srcdir)/Makefile.in ../config.status
	cd .. \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== debian/changelog ===
chaos (1.13.1-6) unstable; urgency=low

  * debian/rules: MAKEINFO=no (closes: #141009)

 -- Takuo KITAME <kitame@northeye.org>  Wed,  3 Apr 2002 15:16:12 +0900

chaos (1.13.1-5) unstable; urgency=low

  * remove wemi dependency. it was orphaned
  * Standards-Version: 3.5.2
  
 -- Takuo KITAME <kitame@northeye.org>  Fri, 23 Nov 2001 14:43:20 +0900

chaos (1.13.1-4) unstable; urgency=low

  * debian/control: Depends: flim(>= 1:1.14)

 -- Takuo KITAME <kitame@northeye.org>  Mon, 23 Oct 2000 15:11:33 +0900

chaos (1.13.1-3) unstable; urgency=low

  * Ready for "removing semi-gnus".
  * debian/control: Pre-Depends: dpkg (>= 1.6.8) (closes: Bug#63083)
    Depends: flim1.13|flim(>= 1.14)
    Provides: semi-gnus
    Conflicts: semi-gnus
    Replaces: semi-gnus

 -- Takuo KITAME <kitame@northeye.org>  Wed, 18 Oct 2000 15:46:42 +0900

chaos (1.13.1-2) unstable; urgency=low

  * debian/control: Build-Depends: debhelper, emacs20 (closes: Bug#70371)

 -- Takuo KITAME <kitame@northeye.org>  Tue, 17 Oct 2000 16:21:37 +0900

chaos (1.13.1-1) unstable; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@stormix.com>  Sun, 16 Apr 2000 22:10:54 +0900

chaos (1.13.0-4) unstable; urgency=low

  * emacsen-common: scripts modified
  * control: Standards-Version: 3.0.1
  * control: Maintainer: address changed
  * init.el: Fixed wrong load-path (closes: Bug#48352)
  * FHS compliance.

 -- Takuo KITAME <kitame@northeye.org>  Tue, 26 Oct 1999 13:03:45 +0900

chaos (1.13.0-3) unstable; urgency=low

  * emacsen-{install,remove} scripts modified for xemacs21, emacs19

 -- Takuro KITAME <kitame@northeye.org>  Mon, 21 Jun 1999 00:01:16 +0900

chaos (1.13.0-2) unstable; urgency=low

  * fixed typo of postinst (install-info)

 -- Takuro KITAME <kitame@debian.or.jp>  Tue, 15 Jun 1999 02:54:23 +0900

chaos (1.13.0-1) unstable; urgency=low

  * Initial Release.

 -- Takuro KITAME <kitame@debian.or.jp>  Mon, 14 Jun 1999 20:27:43 +0900

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: chaos
Section: news
Priority: optional
Maintainer: Takuo KITAME <kitame@northeye.org>
Build-Depends: debhelper (>= 3.0.0), emacs20
Standards-Version: 3.5.2

Package: chaos
Architecture: all
Pre-Depends: dpkg (>= 1.6.8)
Depends: emacsen, apel, flim(>= 1:1.14), semi(>= 1.13.4)
Provides: news-reader, mail-reader, semi-gnus
Conflicts: gnus, semi-gnus
Replaces: gnus, semi-gnus
Description: Replacement of Gnus with gnus-mime for SEMI. 
 Chaos is the latest branch of normally Semi-gnus.
 Semi-gnus is a replacement of Gnus with gnus-mime for SEMI.  It has
 all features of Gnus and gnus-mime, so there are no need to install
 Gnus to use it, and you must not use gnus-mime for SEMI.
 It requires SEMI package, so please get and install SEMI package
 before to install it.
 .
 Chaos is one of Semi-gnus variants.
 Now, "Semi-gnus" is generic name of Gnus for SEMI.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

export DH_COMPAT=3

package=chaos
pwd=$(shell pwd)

build: build-stamp
build-stamp:
	dh_testdir
	./configure --prefix=/usr
	touch build-stamp

	(cd texi ; make MAKEINFO=no)

	## make info.ja need Emacs20
	(cd texi ; make ja MAKEINFO=no)

clean:
	dh_testdir
	dh_testroot
	-rm -f build-stamp
	-make clean
	-cd texi && make clean
	dh_clean
	-rm -f texi/gnus texi/gnus-[0-9]* texi/message
	-rm -f texi/gnus-ja texi/gnus-ja-[0-9]* texi/message-ja
	-rm -f texi/.#*

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	cp -pr lisp/* ${pwd}/debian/${package}/usr/share/emacs/site-lisp/chaos
	rm -f ${pwd}/debian/${package}/usr/share/emacs/site-lisp/chaos/{ChangeLog,Makefile,in}
	cp ${PWD}/debian/chaos-init.el \
		${pwd}/debian/${package}/usr/share/emacs/site-lisp/${package}

	mv texi/gnus texi/gnus-[0-9]* texi/message \
		${pwd}/debian/${package}/usr/share/info
	mv texi/gnus-ja texi/gnus-ja-[0-9]* texi/message-ja \
		${pwd}/debian/${package}/usr/share/info

	rm -f texi/.\#*
	cp -r texi  ${pwd}/debian/${package}/usr/share/doc/${package}/
	rm -f ${pwd}/debian/${package}/usr/share/doc/${package}/texi/Makefile*

	cp -r lisp/ChangeLog  ${pwd}/debian/${package}/usr/share/doc/${package}/ChangeLog.lisp

	## install emacsen install/remove file
	dh_installemacsen
	dh_installdocs

	dh_installchangelogs ChangeLog
#	dh_strip
	dh_compress
	dh_fixperms

#	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
